package org.bouil.twifip.tapestry.pages;

import java.text.SimpleDateFormat;

import org.apache.tapestry5.StreamResponse;
import org.apache.tapestry5.ioc.annotations.Inject;
import org.apache.tapestry5.json.JSONObject;
import org.apache.tapestry5.util.TextStreamResponse;
import org.bouil.twifip.TrackInfo;
import org.bouil.twifip.Twifip;

public class Json {

    @Inject
    private Twifip twifip;

    public StreamResponse onActivate() {

        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd hh:mm:ss z");

        TrackInfo previous = twifip.getPrevious();
        String dateString = "unknown";
        if (twifip.getLastUpdateDate() != null) {
            dateString = sdf.format(twifip.getLastUpdateDate());
        }
        JSONObject jsonObject = new JSONObject().put("artist", previous.artist).put("album", previous.album)
                                                .put("title", previous.title).put("lastUpdate", twifip.getLastUpdateDate().getTime());
        return new TextStreamResponse("application/json", jsonObject.toCompactString());
    }
}
