package org.bouil.twifip.tapestry.services;

import org.apache.tapestry5.SymbolConstants;
import org.apache.tapestry5.ioc.MappedConfiguration;
import org.apache.tapestry5.ioc.OrderedConfiguration;
import org.apache.tapestry5.ioc.annotations.Symbol;
import org.apache.tapestry5.services.MarkupRendererFilter;
import org.got5.tapestry5.jquery.JQuerySymbolConstants;

public class AppModule {
    public static void contributeApplicationDefaults(MappedConfiguration<String, String> configuration) {
        String locales = "en_GB";
        configuration.add(SymbolConstants.PRODUCTION_MODE, "true");
        configuration.add(JQuerySymbolConstants.SUPPRESS_PROTOTYPE, "true");

        configuration.add(JQuerySymbolConstants.JQUERY_CORE_PATH,
                          "context:js/jquery/jquery-1.8.0.js");
        configuration.add(JQuerySymbolConstants.JQUERY_VERSION, "1.8.0");

    }

    public void contributeMarkupRenderer(OrderedConfiguration<MarkupRendererFilter> configuration,
                                         @Symbol(SymbolConstants.PRODUCTION_MODE) final boolean productionMode) {
        if (productionMode) {
            configuration.addInstance("GAnalyticsScript", GAnalyticsScriptsInjector.class, "after:RenderSupport");
        }

    }

}
